;*****************************************************************
;* Description: Interface definition file for RC Calibration
;*
;* $Revision: 3.4 $	
;* $Author: tsundre $
;* $Date: 17. februar 2004 10:54:26 $
;*
;*****************************************************************


;*****************************************************************
;*	Specify Calibration clock frequency
;*****************************************************************
.EQU	CALIB_CLOCK_FREQ	= 32623	;Calibration Clock frequency in Hz - CHANGE WITH CARE

;*****************************************************************
;*	Pin and port definitions
;*****************************************************************
.EQU	MISO 		= ISP_CAL_MISO
.EQU	MOSI		= ISP_CAL_MOSI

.EQU	CAL_PORT	= ISP_CAL_PORT_REG
.EQU	CAL_DDR		= ISP_CAL_DDR_REG
.EQU	CAL_PIN		= ISP_CAL_PIN_REG

;*****************************************************************
;*	Macro used to disable and enable JTAG functions as these 
;*	override IO functions. Macro contains nop if not using JTAG.
;*****************************************************************
.MACRO	OPEN_INTERFACE_ACCESS
	nop
.ENDMACRO

.MACRO	CLOSE_INTERFACE_ACCESS
	nop
.ENDMACRO